Buscar
 
 

Resultados por:
 


Rechercher Búsqueda avanzada

Navegación
 Índice
 Wiki
 FAQ del foro
 FAQ del VDR-NG-EM
 Funcionalidades del VDR
 Mejoras del VDR-NG-EM
 Primeros pasos FW-VDR
 Descargas VDR-NG-EM
Flujo RSS


Yahoo! 
MSN 
AOL 
Netvibes 
Bloglines 



Disco duro y compilar versión Linux

Página 1 de 6. 1, 2, 3, 4, 5, 6  Siguiente

Ver el tema anterior Ver el tema siguiente Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Sáb 17 Abr 2010 - 17:26

Claro.
De todas formas a mi ve gusta tocar ... ;-)

Parece que lo he conseguido. Sólo una consulta.
¿Por qué cada vez que inicio el giga hace una comprobación del sistema de archivos? El tiempo que tarda en hacer la comprobación demora también el montaje de las particiones.

Por cierto, muy bueno el comentario de Anacleto de acceder a las carpetas del PC por /var/media ... Sino nohay manera.

Anacleto escribió:

Por si
alguien se atasca en lo mismo que yo, unas cosillas:

A la hora de
seleccionar el fichero a convertir con el filebrowser, es importante
meterse en él por /var/media, ya que si te metes por /media (yo tengo un
enlace ahí a /var/media), el agente se pierde y te sale un error:
>NOK
[La unidad del Gigaset no esta configurada en el ficheros de
propiedades]

Gracias.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por yeahhh el Dom 18 Abr 2010 - 13:24

Si te hace una comprobación normalmente es porque se ha desmontado mal, o porque no acaba de hacer la comprobación anterior.
Que disco y capacidad tienes?
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 38
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Dom 18 Abr 2010 - 14:31

FreeAgent de 500 Gb.

Supongo que cuando se apaga el giga, desmonta las unidades automáticamente, no?
Es posible que tenga que ver con lo que dices ...
Además estoy viendo que muchas veces navengando por los menús se queda colgado (¿seguro que no es windows? )

Voy a ver si puedo hacer la compilación en linux.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por yeahhh el Dom 18 Abr 2010 - 15:21

Has formateado con vdr? si la particion es de 500gb la falta de memoria del giga hace que no pueda comprobarlo.
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 38
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Dom 18 Abr 2010 - 15:42

RedSpider escribió:Bueno, pues me he animado a instalar el VDR para comprobar por mí mismo si hay alguna manera de reproducir ficheros mpg en el pc y verlos en a través del giga en la tele.

Me estoy encontrando muchos problemas para que el disco duro usb sea estable. He llegado a formatearlo desde el giga y me ha creado 3 particiones (es un FreeAgent de 500 gb, que con el otro FW iba perfecto con una sola partición), VDR1, VDR2 y VDR3.
El problema es que al reiniciar el giga hace una comprobación del sistema de archivos (lo hace siempre que se reinicia) y a veces no llega a montar bien las particiones.
Además había creado un directorio "video" dentro de /var/media para poder ver las carpetas compartidas en el PC, tal y como se indica aquí.
Otro de los problemas es que al comprobar el sistema de archivos (se puede tirar en ocasiones hasta 10-15 minutos haciéndolo) borra el directorio "video", aunque este contiene un fichero de texto que he creado siguiendo las indicaciones del link anteriormente citado, y que en teoría tiene como objetivo no borrar este directorio.
He leído varios post al respecto, he visto que ha habido gente con problemas similares, pero no veo cual ha sido la solución.
Por supuesto he vuelto a generar el FW, en su formato wsw (el .ofi no hubo manera de instalarlo) y no he solucionado nada.

Si ha alguien se le ocurre algo ...

Gracias!

;-)

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por yeahhh el Dom 18 Abr 2010 - 15:53

Pues no entiendo el porque, en principio con las 3 particiones puede comprobarlo sin problema, y te crea solo el directorio de grabaciones.
Tienes apagado lento o rapido? tienes alguna regleta para parar la corriente del disco?
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 38
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Dom 18 Abr 2010 - 16:04

Tengo apagado lento. El disco va a una regleta sin interruptor. ¿Por?

A mi también me parece raro, y sobre todo los bloqueos que comento navegando por los menús... Ya llevo como 3 ó 4 desde ayer.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por yeahhh el Dom 18 Abr 2010 - 21:16

Que plugins tienes activos?
El disco se supone que está bien?
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 38
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Dom 18 Abr 2010 - 21:35

Sólo he instalado el mpgplayer.
y activos tengo:
epgsearch
skinenigmang
osdteletext
epgsearchonly
conflictcheckonly
aide
setup
blink
filebrowser
rssreader
streamdev-server
mpgplayer
scheduler
fepg

El disco se supone que está bien porque funcionaba perfectamente con una sola partición en el LCK-siesta. Se apagaba y encendía correctamente junto con el giga.
Además el vdr lo particionó y lo formateó en principio sin problemas.

Por otra parte, no sé si debería abrir un hilo nuevo o no, estoy intentando compilar el FW en un ubunto 7.10 que he instalado en un servidor virtual. Estoy utilizando la beta del instalador y obtengo estos errores al darle a la opción 7 (Generar FW):

Debe especificar un tipo de diálogo. Vea «zenity --help» para obtener más información
Inicio de la compilación
Fecha: dom abr 18 21:32:42 CEST 2010
Locale: es
Install mode: expert
Version: pro
Modelo: m750t
Compilando el firmware...
Se guardan las incidencias detalladas de la compilación en el fichero '/home/ubuntu/build.log'
cp: no se puede efectuar `stat' sobre `/home/ubuntu/VDR-NG-EM/VDR-NG-FW/downloads/*': No existe el fichero ó directorio
make: *** No se especificó ningún objetivo y no se encontró ningún makefile. Alto.
Fin de la compilación
Fecha: dom abr 18 21:32:56 CEST 2010
script: line 445: svnversion: orden no encontrada
dom

Por si era un problema de falta de algún paquete, he probado con la opción 1 (Instalar paquetes necesario en Ubunto), pero me da este error:

Debe especificar un tipo de diálogo. Vea «zenity --help» para obtener más información
Inicio de la compilación
Fecha: dom abr 18 21:33:57 CEST 2010
Locale: es
Install mode: expert
Version: pro
Modelo: m750t
El sistema no es Ubuntu, la instalación de paquetes debe realizarse manualmente


No sé que quiere decir la primera línea de los logs "Debe especificar un tipo de diálogo. Vea «zenity --help» para obtener más información"

A ver que se os ocurre.

Gracias.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por yeahhh el Dom 18 Abr 2010 - 23:35

Ubuntu 7.10? porque no pruebas uno más moderno? igual si que funciona con la 7.10, pero yo "solo" he compilado con las 8 y las 9
avatar
yeahhh
Betatester

Cantidad de envíos : 2260
Fecha de inscripción : 18/08/2008
Edad : 38
Localización : Barcelona

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 0:52

Porque cuando la cosa se tuerce ...
Me bajé la 9.10 y no se carga en el servidor virtual, lo mismo está corrupta.
Voy a actualizar desde la 7.10 a ver ...
Gracias.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 1:44

Bueno, pues con la versión 8.4 consigo llegar hasta el último paso, eso sí, a mano, con el wizard no hay manera.
Pero a la hora de hacer el make ...

ubuntu@DESKTOP-ubuntu:~/VDR-NG-EM/VDR-NG-FW$ make
/home/ubuntu/VDR-NG-EM/VDR-NG-FW/make-incs/egcs.mk:39: *** egcs needs gcc version < 4.0. Alto.

Viendo el error he intentado instalar de nuevo el paquete gcc-3.4, pero ...

ubuntu@DESKTOP-ubuntu:~/VDR-NG-EM/VDR-NG-FW$ sudo aptitude install gcc-3.4
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Leyendo la información de estado extendido
Inicializando el estado de los paquetes... Hecho
Construir la base de datos de etiquetas... Hecho
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con "gcc-3.4"
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con "gcc-3.4"

No se instalará, actualizará o eliminará ningún paquete.
0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 0B de ficheros. Después de desempaquetar se usarán 0B.
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Leyendo la información de estado extendido
Inicializando el estado de los paquetes... Hecho
Construir la base de datos de etiquetas... Hecho

Está claro que ese es el problema es que no tengo el paquete gcc-3.4

Lo he podido descargar desde aquí:
http://packages.ubuntu.com/dapper/i386/gcc-3.4-base/download

e instalarlo con el instalador de paquetes de ubuntu.

Pero me sigue dando el mismo mensaje.
ubuntu@DESKTOP-ubuntu:~/VDR-NG-EM/VDR-NG-FW$ make
/home/ubuntu/VDR-NG-EM/VDR-NG-FW/make-incs/egcs.mk:39: *** egcs needs gcc version < 4.0. Alto.

Por si sirve de ayuda os pongo todo el log despues del comando ejecutar ./make-fw

ubuntu@DESKTOP-ubuntu:~/VDR-NG-EM$ ./make-fw
Update VDR-EM
Update VDR-o7o original
Copying files to temporal dir
Patching Firmware
patching file make-incs/usbautomounter.mk
patching file make-incs/vdr-m7x0.mk
patching file make-incs/vdr-m7x0.mk
patching file make-incs/vdr-m7x0-plugins.mk
patching file make-incs/vdr-m7x0-plugins.mk
patching file make-incs/busybox.mk
patching file rootfs-file-lists/lirc.lst
patching file Makefile
patching file buildin/libosd/tests/osd_test.c
patching file make-incs/tool-box.mk
patching file rootfs-file-lists/usbautomounter.lst
patching file make-incs/linux-headers.mk
patching file configs/siemens-linux-kernel/m740.config
patching file configs/siemens-linux-kernel/m750s.config
patching file make-incs/siemens-linux-kernel.mk
patching file make-incs/pure-ftpd.mk
patching file rootfs-file-lists/pure-ftpd.lst
patching file configs/siemens-linux-kernel/m740.config
patching file configs/siemens-linux-kernel/m750s.config
patching file make-incs/uclibc.mk
patching file Makefile
patching file make-incs/generate_rootfs.mk
patching file hostutils-make-incs/lzma.mk
patching file configs/siemens-linux-kernel/m740.config
patching file configs/siemens-linux-kernel/m750s.config
patching file hostutils-make-incs/squashfs.mk
patching file make-incs/siemens-linux-kernel.mk
patching file make-incs/m7x0-modules.mk
patching file make-incs/siemens-gpl-src.mk
patching file hostutils-make-incs/cramfs.mk
patching file hostutils-make-incs/squashfs.mk
patching file make-incs/e2fsprogs.mk
patching file make-incs/lirc.mk
patching file patches/ssmtp/2.64/300_ssmtp_conf.patch
patching file patches/ssmtp/2.64/400_revaliases.patch
patching file make-incs/ssmtp.mk
patching file make-incs/binutils.mk
patching file make-incs/busybox.mk
patching file make-incs/e2fsprogs.mk
patching file make-incs/gcc.mk
patching file make-incs/uclibc.mk
patching file rootfs-file-lists/gcc.lst
patching file rootfs-file-lists/uclibc.lst
patching file make-incs/siemens-linux-kernel.mk
patching file make-incs/siemens-linux-kernel.mk
patching file configs/busybox/1.16.0/busybox.config

Cleaning VDR-o7o final
/home/ubuntu/VDR-NG-EM/VDR-NG-FW/make-incs/egcs.mk:39: *** egcs needs gcc version < 4.0. Alto.
Copying temporal dir to final dir
cp: no se puede sobreescribir el no directorio `./VDR-NG-FW/downloads' con el directorio `./tmp-ljqpA28572/downloads'


Delete ./VDR-NG-FW/patches/dropbear/0.52/100-options-chg.patch

Getting and setting SVN versions to fw-version
Cleaning temporal dir


Now you can edit config files in "./VDR-NG-FW" and later run "make"



¿Alguna idea?


Gracias


Última edición por RedSpider el Lun 19 Abr 2010 - 13:59, editado 1 vez

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por pjllaneras el Lun 19 Abr 2010 - 8:27

Aunque tengas intalado el gcc-3.4, al tener también instalado el gcc que viene con ubuntu (la 4.0), al ejecutar el "make" prevalece la última versión. Tal como indica el wiki, antes de ejecutar el make hay que ejecutar:

Código:
# export CC=/usr/bin/gcc-3.4
Esto es para que utilice el gcc-3.4 en lugar del otro.

Espero te sirva.
avatar
pjllaneras
Betatester

Cantidad de envíos : 569
Fecha de inscripción : 29/01/2009
Edad : 45
Localización : Palma de Mallorca

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 10:47

Esto ya lo había hecho, y lo he vuelto a hacer, pero nada...

Por cierto, me he vuelto loco buscando las respuestas ya que se ha "partido" el post de donde venía el tema.
http://vdr-m7x0.foroactivo.com.es/propuestas-de-mejoras-f4/algo-parecido-al-agente-siesta-t105-60.htm

Gracias!

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por pjllaneras el Lun 19 Abr 2010 - 13:01

A mi me parece que el error es bastante claro, sigue utilizando el gcc-4.0 en lugar del gcc-3.4.

También, si lo haces desde ubuntu 9.10, antes del "make" hay que ejecutar:

Código:
# export PATH=$PATH:./

Si has hecho todo esto debería funcionar, si no, no entiendo cual puede ser el problema.
avatar
pjllaneras
Betatester

Cantidad de envíos : 569
Fecha de inscripción : 29/01/2009
Edad : 45
Localización : Palma de Mallorca

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 13:17

Yo también tengo claro que el error es ese, y te aseguro que sigo una por una las instrucciones.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 14:02

Una aclaración. Este error:
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con "gcc-3.4"
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con "gcc-3.4"

Lo da porque la instalación del paquete que me descargué al instalarse lo hace con el nombre gcc-3.4-base.

Por supuesto he hecho los cambios necesarios a la hora de utilizar este paquete, por ejemplo en el
export CC=/usr/bin/gcc-3.4-base


Pero sigo intentándolo.

El problema es que no está utilizando el gcc-3.4 necesario, sino una versión superior a la 4, ¿no? ¿Y si desinstalo ese paquete? ¿Cómo podría hacerlo?

Gracias

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por axel2 el Lun 19 Abr 2010 - 14:07

Me parece que tienes algun fallo en las dependencias y el paquete gcc.3.4-base no es el unico que hay que descargar.

Dew
avatar
axel2
Betatester

Cantidad de envíos : 392
Fecha de inscripción : 04/02/2009
Edad : 54
Localización : Castelldefels, Catalunya

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 14:14

axel2 escribió:Me parece que tienes algun fallo en las dependencias y el paquete gcc.3.4-base no es el unico que hay que descargar.

Dew

Me he quedado igual axel2. Mis conocimientos en linux son más bien básicos...

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por atinar el Lun 19 Abr 2010 - 14:24

Parece que el paquete gcc-3.4-base sólo contiene documentación, no el compilador en sí.

atinar
Desarrollador

Cantidad de envíos : 278
Fecha de inscripción : 06/09/2008

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 14:27

El que contiene la documentación termina en -doc.

http://packages.ubuntu.com/dapper/gcc-3.4

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por axel2 el Lun 19 Abr 2010 - 15:53

Lo mejor es instalarlo con el Gestor de paquetes del mismo Linux.En Ubuntu se llama Synaptic.

El solito descarga lo necesario aunque tu no sepas que habia que marcarlo.
avatar
axel2
Betatester

Cantidad de envíos : 392
Fecha de inscripción : 04/02/2009
Edad : 54
Localización : Castelldefels, Catalunya

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 15:56

Así lo he hecho ...

Es más, he intentado descargar/instalar otros paquetes que podían tener relación con el gcc, y en todos me dice que ya hay una versión posterior instalada.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por bittor el Lun 19 Abr 2010 - 16:31

avatar
bittor
Desarrollador

Cantidad de envíos : 3632
Fecha de inscripción : 25/06/2008
Localización : Zaragoza

Ver perfil de usuario http://bittor7x0.googlepages.com

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por RedSpider el Lun 19 Abr 2010 - 16:37

A ver.
Estoy siguiendo al pie de la letra las instrucciones de la wiki.
Pero el gcc-3.4 no lo contiene ni el ubuntu 7.10, ni el 8.04. Por tanto, lo he descargado del link que he puesto anteriormente.
Se instala con el nombre gcc-3.4-base, pero al hacer el make continua diciendo que se está utilizando un gcc superior al 4.

Lo que necesito es una alternativa para instalar ese gcc, si el gcc-3.4-base no es válido.

Agradezco vuestra ayuda, de verdad, pero decirme que tengo que seguir las instrucciones ... Ya digo que las estoy siguiendo.

RedSpider

Cantidad de envíos : 116
Fecha de inscripción : 16/04/2010
Localización : Madrid

Ver perfil de usuario

Volver arriba Ir abajo

Re: Disco duro y compilar versión Linux

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Página 1 de 6. 1, 2, 3, 4, 5, 6  Siguiente

Ver el tema anterior Ver el tema siguiente Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.